# *** [ Ansible managed: DO NOT EDIT DIRECTLY ] ***

# ---------------------------------------------------------
# - Parameter Settings for script 'create_opendkim_key.sh'.
# ---------------------------------------------------------
 
 
# ---------- 
# DNS Server 
# ---------- 
 
# - dns_dkim_zone_master_server
# - 
# - The DNS Server who is serving the update zone and is used 
# - for the dynamic updates (nsupdate) 
# - 
#dns_dkim_zone_master_server=""
dns_dkim_zone_master_server="b.ns.oopen.de"

# - update_dns
# -
# - Possible Values are 'true' or 'false'
# -
#update_dns=true

# - update_zone
# -
# - Zone containing the DKIM TXT record.
# -
# - Defaults to '_domainkey.<dkim_domaini>'
# -
# - Note:
# -    do NOT change/set this option unless you know what you do.
# -
#update_zone=""

# - TTL
# -
# - TTL for the DKIM TXT Record.
# -
# - Defaults to "" if update_dns=false
# - Defaults to "43200" if update_dns=true
# -
#TTL=


# ----------
# TSIG Key
# ----------

# - key_secret
# -
# - Sectret Key used by 'nsupdate' to create/update the
# - DKIM TXT record.
# -
# - Example:
# -    key_secret="EtvvMdW0PXD4GMHP+onuHZ0dT/Z8OSJGlce/xH10OwI="
# -
#key_secret=""
key_secret="4woPu0jqf9Jp1IX+gduJ3BVW/1ZMeyCPTQMqEsMXLFw="

# - key_algo
# -
# - The key algorithm used for key creation. Available choices are: hmac-md5, 
# - hmac-sha1, hmac-sha224, hmac-sha256, hmac-sha384 and hmac-sha512. The 
# - default is hmac-sha256. Options are case-insensitive.
# -
# - Example:
# -    key_algo="hmac-md5"
# -
# - Defaults to 'hmac-sha256'
# -
#key_algo="hmac-sha256"
key_algo="hmac-sha256"

# - key_name
# -
# - Name of the Key
# -
# - Defaults to "$update_zone"
# -
#key_name=""
key_name="update-dkim"


# ----------
# Access Credentials DNS Server
# ----------

# - dns_ssh_user
# -
# - Defaults to 'manage-bind'
# -
#dns_ssh_user="manage-bind"

# - dns_ssh_port
# -
# - Defaults to '22'
# -
#dns_ssh_port=22

# - dns_ssh_key
# -
# - Defaults to '/root/.ssh/id_rsa-opendkim'
# -
#dns_ssh_key="/root/.ssh/id_rsa-opendkim"
dns_ssh_key="/root/.ssh/id_ed25519-opendkim"


# ----------
# Scripts envoked at DNS Server
# ----------

# - set_new_serial_script
# -
# - Script increases the serial for a given domain or a given 
# - hostname's concerning domain.
# -
# - Defaults to /root/bin/bind/bind_set_new_serial.sh
# -
#set_new_serial_script="/root/bin/bind/bind_set_new_serial.sh"

# - create_dkim_delegation_script
# -
# - Script adds DKIM subdomain delegation for a given domain
# -
# - Defaults to '/root/bin/bind/bind_create_dkim_delegation.sh'
# -
#create_dkim_delegation_script="/root/bin/bind/bind_create_dkim_delegation.sh"

# - add_dkim_zone_master_script
# -
# - Script adds zone _domainkey.<dkim domain> as master zone
# -
# - Defaults to '/root/bin/bind/bind_add_dkim_zone_master.sh'
# -
#add_dkim_zone_master_script="/root/bin/bind/bind_add_dkim_zone_master.sh"

# - add_dkim_zone_slave_script
# -
# - Script adds zone _domainkey.<dkim domain> as slave zone
# -
# - Defaults to '/root/bin/bind/bind_add_dkim_zone_slave.sh'
# -
#add_dkim_zone_slave_script="/root/bin/bind/bind_add_dkim_zone_slave.sh"



# ----------
# OpenDKIM Installation
# ----------

# - opendkim_dir
# -
# - OpenDKIM's etc-directory
# -
# - Defaults to opendkim_dir="/etc/opendkim"
# -
#opendkim_dir="/etc/opendkim"

# - key_base_dir
# -
# - Defaults to "${opendkim_dir}/keys"
# -
#key_base_dir=${opendkim_dir}/keys

# - signing_table_file
# -
# - Defaults to "${opendkim_dir}/signing.table"
# -
#signing_table_file="${opendkim_dir}/signing.table"

# - key_table_file
# -
# - Defaults to "${opendkim_dir}/key.table"
# -
#key_table_file="${opendkim_dir}/key.table"
